## freeipa 2.1.4

=== Makefile ===
include VERSION

SUBDIRS=daemons install ipapython ipa-client
CLIENTDIRS=ipapython ipa-client

PRJ_PREFIX=freeipa

RPMBUILD ?= $(PWD)/rpmbuild
TARGET ?= master

SUPPORTED_PLATFORM ?= redhat

# After updating the version in VERSION you should run the version-update
# target.

ifeq ($(IPA_VERSION_IS_GIT_SNAPSHOT),"yes")
GIT_VERSION=$(shell git show --pretty=format:"%h" --stat HEAD 2>/dev/null|head -1)
ifneq ($(GIT_VERSION),)
IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE)GIT$(GIT_VERSION)
endif # in a git tree and git returned a version
endif # git

ifndef IPA_VERSION
ifdef IPA_VERSION_PRE_RELEASE
IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE).pre$(IPA_VERSION_PRE_RELEASE)
else
ifdef IPA_VERSION_RC_RELEASE
IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE).rc$(IPA_VERSION_RC_RELEASE)
else
IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE)
endif # rc
endif # pre
endif # ipa_version

TARBALL_PREFIX=freeipa-$(IPA_VERSION)
TARBALL=$(TARBALL_PREFIX).tar.gz

IPA_RPM_RELEASE=$(shell cat RELEASE)

LIBDIR ?= /usr/lib

DEVELOPER_MODE ?= 0
ifneq ($(DEVELOPER_MODE),0)
LINT_OPTIONS=--no-fail
endif

all: bootstrap-autogen server
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

client: client-autogen
	@for subdir in $(CLIENTDIRS); do \
		(cd $$subdir && $(MAKE) all) || exit 1; \
	done

bootstrap-autogen: version-update client-autogen
	@echo "Building IPA $(IPA_VERSION)"
	cd daemons; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR) --with-openldap; fi
	cd install; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi

client-autogen: version-update
	cd ipa-client; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi
	cd install; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi

install: all server-install
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

client-install: client
	@for subdir in $(CLIENTDIRS); do \
		(cd $$subdir && $(MAKE) install) || exit 1; \
	done
	cd install/po && $(MAKE) install || exit 1;
	if [ "$(DESTDIR)" = "" ]; then \
		python setup-client.py install; \
	else \
		python setup-client.py install --root $(DESTDIR); \
	fi

lint:
	./make-lint $(LINT_OPTIONS)

test:
	$(MAKE) -C install/po test_lang
	./make-testcert
	./make-test

release-update:
	if [ ! -e RELEASE ]; then echo 0 > RELEASE; fi

version-update: release-update
	sed -e s/__VERSION__/$(IPA_VERSION)/ -e s/__RELEASE__/$(IPA_RPM_RELEASE)/ \
		freeipa.spec.in > freeipa.spec
	sed -e s/__VERSION__/$(IPA_VERSION)/ version.m4.in \
		> version.m4

	sed -e s/__VERSION__/$(IPA_VERSION)/ ipapython/setup.py.in \
		> ipapython/setup.py
	sed -e s/__VERSION__/$(IPA_VERSION)/ ipapython/version.py.in \
		> ipapython/version.py
	perl -pi -e "s:__NUM_VERSION__:$(IPA_VERSION_MAJOR)$(IPA_VERSION_MINOR)$(IPA_VERSION_RELEASE):" ipapython/version.py
	perl -pi -e "s:__API_VERSION__:$(IPA_API_VERSION_MAJOR).$(IPA_API_VERSION_MINOR):" ipapython/version.py
	sed -e s/__VERSION__/$(IPA_VERSION)/ daemons/ipa-version.h.in \
		> daemons/ipa-version.h
	perl -pi -e "s:__NUM_VERSION__:$(IPA_VERSION_MAJOR)$(IPA_VERSION_MINOR)$(IPA_VERSION_RELEASE):" daemons/ipa-version.h
	perl -pi -e "s:__DATA_VERSION__:$(IPA_DATA_VERSION):" daemons/ipa-version.h

	sed -e s/__VERSION__/$(IPA_VERSION)/ -e s/__RELEASE__/$(IPA_RPM_RELEASE)/ \
		ipa-client/ipa-client.spec.in > ipa-client/ipa-client.spec
	sed -e s/__VERSION__/$(IPA_VERSION)/ ipa-client/version.m4.in \
		> ipa-client/version.m4
	
	if [ "$(SUPPORTED_PLATFORM)" != "" ]; then \
		sed -e s/SUPPORTED_PLATFORM/$(SUPPORTED_PLATFORM)/ ipapython/services.py.in \
			> ipapython/services.py; \
	fi
	
	if [ "$(SKIP_API_VERSION_CHECK)" != "yes" ]; then \
		./makeapi --validate; \
	fi

server: version-update
	python setup.py build

server-install: server
	if [ "$(DESTDIR)" = "" ]; then \
		python setup.py install; \
	else \
		python setup.py install --root $(DESTDIR); \
	fi

archive:
	-mkdir -p dist
	git archive --format=tar --prefix=ipa/ $(TARGET) | (cd dist && tar xf -)

local-archive:
	-mkdir -p dist/$(TARBALL_PREFIX)
	rsync -a --exclude=dist --exclude=.git --exclude=build --exclude=rpmbuild . dist/$(TARBALL_PREFIX)

archive-cleanup:
	rm -fr dist/freeipa

tarballs: local-archive
	-mkdir -p dist/sources
	# tar up clean sources
	cd dist/$(TARBALL_PREFIX)/ipa-client; ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); make distclean
	cd dist/$(TARBALL_PREFIX)/daemons; ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); make distclean
	cd dist/$(TARBALL_PREFIX)/install; ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); make distclean
	cd dist; tar cfz sources/$(TARBALL) $(TARBALL_PREFIX)
	rm -rf dist/$(TARBALL_PREFIX)

rpmroot:
	mkdir -p $(RPMBUILD)/BUILD
	mkdir -p $(RPMBUILD)/RPMS
	mkdir -p $(RPMBUILD)/SOURCES
	mkdir -p $(RPMBUILD)/SPECS
	mkdir -p $(RPMBUILD)/SRPMS

rpmdistdir:
	mkdir -p dist/rpms
	mkdir -p dist/srpms

rpms: rpmroot rpmdistdir version-update lint tarballs
	cp dist/sources/$(TARBALL) $(RPMBUILD)/SOURCES/.
	rpmbuild --define "_topdir $(RPMBUILD)" -ba freeipa.spec
	cp rpmbuild/RPMS/*/$(PRJ_PREFIX)-*-$(IPA_VERSION)-*.rpm dist/rpms/
	cp rpmbuild/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
	rm -rf rpmbuild

client-rpms: rpmroot rpmdistdir version-update lint tarballs
	cp dist/sources/$(TARBALL) $(RPMBUILD)/SOURCES/.
	rpmbuild --define "_topdir $(RPMBUILD)" --define "ONLY_CLIENT 1" -ba freeipa.spec
	cp rpmbuild/RPMS/*/$(PRJ_PREFIX)-*-$(IPA_VERSION)-*.rpm dist/rpms/
	cp rpmbuild/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
	rm -rf rpmbuild

srpms: rpmroot rpmdistdir version-update lint tarballs
	cp dist/sources/$(TARBALL) $(RPMBUILD)/SOURCES/.
	rpmbuild --define "_topdir $(RPMBUILD)" -bs freeipa.spec
	cp rpmbuild/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
	rm -rf rpmbuild


repodata:
	-createrepo -p dist

dist: version-update archive tarballs archive-cleanup rpms repodata

local-dist: bootstrap-autogen clean local-archive tarballs archive-cleanup rpms


clean: version-update
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done
	rm -f *~

distclean: version-update
	touch daemons/NEWS daemons/README daemons/AUTHORS daemons/ChangeLog
	touch install/NEWS install/README install/AUTHORS install/ChangeLog
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done
	rm -fr rpmbuild dist build
	rm -f daemons/NEWS daemons/README daemons/AUTHORS daemons/ChangeLog
	rm -f install/NEWS install/README install/AUTHORS install/ChangeLog

maintainer-clean: clean
	rm -fr rpmbuild dist build
	cd selinux && $(MAKE) maintainer-clean
	cd daemons && $(MAKE) maintainer-clean
	cd install && $(MAKE) maintainer-clean
	cd ipa-client && $(MAKE) maintainer-clean
	cd ipapython && $(MAKE) maintainer-clean
	rm -f version.m4
	rm -f freeipa.spec

=== selinux/Makefile ===
SUBDIRS = ipa_kpasswd ipa_httpd ipa_dogtag
POLICY_MAKEFILE = /usr/share/selinux/devel/Makefile
POLICY_DIR = $(DESTDIR)/usr/share/selinux/targeted

all:
	if [ ! -e $(POLICY_MAKEFILE) ]; then echo "You need to install the SELinux development tools (selinux-policy-devel)" && exit 1; fi

	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) -f $(POLICY_MAKEFILE) $@) || exit 1; \
	done

clean:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) -f $(POLICY_MAKEFILE) $@) || exit 1; \
	done

distclean: clean
	rm -f ipa-server-selinux.spec

maintainer-clean: distclean

install: all
	install -d $(POLICY_DIR)
	install -m 644 ipa_kpasswd/ipa_kpasswd.pp $(POLICY_DIR)
	install -m 644 ipa_httpd/ipa_httpd.pp $(POLICY_DIR)
	install -m 644 ipa_dogtag/ipa_dogtag.pp $(POLICY_DIR)

load:
	/usr/sbin/semodule -i ipa_kpasswd/ipa_kpasswd.pp ipa_httpd/ipa_httpd.pp

=== debian/changelog ===
freeipa (2.1.4-0ubuntu2) raring; urgency=low

  * 0110-Upload-CA-cert-in-the-directory-on-install.patch
    0111-Update-plugin-to-upload-CA-certificate-to-LDAP.patch
    0112-Do-SSL-CA-verification-and-hostname-validation.patch
    0113-Use-secure-method-to-acquire-IPA-CA-certificate.patch:
    - CVE-2012-5484 - The client in FreeIPA 2.x and 3.x before 3.1.2 does
      not properly obtain the Certification Authority (CA) certificate
      from the server, which allows man-in-the-middle attackers to spoof
      a join procedure via a crafted certificate. (LP: #1104954)
  * check-through-all-ldap-servers.patch: Check through all LDAP servers
    in the domain during IPA discovery (ticket #1827). Patch from 2.2
    to aid in porting patch 0113.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 11 Feb 2013 00:32:12 +0200

freeipa (2.1.4-0ubuntu1) precise; urgency=low

  * Merge from unreleased debian git (LP: #259547, #958599).
  * Build only the client package.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 22 Mar 2012 00:17:10 +0200

freeipa (2.1.4-1) UNRELEASED; urgency=low

  [ Michele Baldessari ]
  * Initial release (Closes: #12345)
  * New upstream
  * Dropped 10_ipa_kpasswd patch, applied upstream

  [ Timo Aaltonen ]
  * New upstream release.
  * Remove radius subpackages.
  * Migrate to source format 3.0 (quilt).
  * Migrate to dh.
  * Fix dependencies.
  * Add fix_dnsclient.py.patch, we don't use autconfig.
  * Add add_debian.py.patch, platform support code.
  * Add include-stdint.patch from upstream to fix build errors.
  * Add no-arrows.patch to not fail test_lang.
  * Add no-testcert.patch to not fail make-testcert.
  * Bump compat and debhelper build-depends to 9.
  * Add missing files to freeipa.install.
  * Add --list-missing for dh_install.
  * copyright: Updated, with OpenSSL exception.
  * control: Add python-libipa-hbac to build-depends.
  * control: Add ${shlibs:Depends} to python-freeipa depends.
  * rules: Strip the executable bit from translation files.
  * fix-format-string.diff: Fix build errors, thanks Krzysztof Klimonda!
  * Use dh_python2.
  * create-client-dirs.patch: Add a patch from upstream that creates
    /etc/ipa and /var/lib/ipa-client/sysrestore paths. Stop creating them in
    rules.
  * Add DEP-3 compliant headers to the patches.
  * control: client; Move libpam-krb5 to Suggests.
  * control: Update the maintainer address and repo location.
  * control: Fix package descriptions.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 01 Nov 2011 10:52:25 -0400

=== debian/control ===
Source: freeipa
Section: net
Priority: extra
Maintainer: Ubuntu FreeIPA <freeipa@lists.launchpad.net>
XSBC-Original-Maintainer:Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
Build-Depends: quilt, debhelper (>= 9), dh-autoreconf,
# client
 gettext,
 krb5-user,
 libcurl4-nss-dev,
 libkrb5-dev,
 libldap2-dev,
 libnss3-dev,
 libnspr4-dev,
 libpopt-dev,
 libsasl2-dev,
 libssl-dev,
 libxmlrpc-c3-dev,
 python-all-dev,
 python-kerberos,
 python-krbv,
 python-ldap,
 python-libipa-hbac,
 python-netaddr,
 python-nss,
 python-openssl,
 python-setuptools,
 python-sss,
 python-support,
# server
 389-ds-base-dev (>= 1.1.3),
 libsvrcore-dev,
 uuid-dev,
 selinux-policy-dev,
# tests
 python-lxml,
 python-nose,
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-freeipa/freeipa.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-freeipa/freeipa.git
Homepage: http://www.freeipa.org

Package: freeipa-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-freeipa (= ${binary:Version}),
 bind9utils,
 certmonger,
 chkconfig,
 krb5-user,
 libcurl3 (>= 7.22.0),
 libnss3-tools,
 libsasl2-modules-gssapi-mit,
 libxmlrpc-core-c3 (>= 1.16.33-3.1ubuntu5),
 ntp,
 python-ldap,
 sssd,
 wget,
Suggests:
 libpam-krb5,
Description: FreeIPA centralized identity framework -- client
 FreeIPA is an integrated solution to provide centrally managed Identity 
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof). 
 .
 This is the client package.

Package: python-freeipa
Architecture: any
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
 gnupg,
 iproute,
 python-kerberos,
 python-libipa-hbac,
 python-lxml,
 python-netaddr,
 python-nss,
 python-openssl,
Description: FreeIPA centralized identity framework -- python modules
 FreeIPA is an integrated solution to provide centrally managed Identity 
 (machine, user, virtual machines, groups, authentication credentials), Policy
 (configuration settings, access control information) and Audit (events,
 logs, analysis thereof). 
 .
 This Python module is used by other FreeIPA packages.

=== debian/rules ===
#!/usr/bin/make -f 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ONLY_CLIENT=0
DESTDIR=$(CURDIR)/debian/tmp

PLATFORM="SUPPORTED_PLATFORM=debian"

override_dh_auto_clean:
	for i in daemons install ipapython ipaserver ipa-client; do \
		(cd $$i && [ ! -f Makefile ] || $(MAKE) distclean); \
		(cd $$i && rm -f COPYING INSTALL depcomp install-sh missing py-compile config.guess config.sub aclocal.m4 config.h.in version.m4); \
	done
	find . -name "*.pyo" -o -name "*.pyc" -type f -exec rm -f "{}" \;
	find . -name "ltmain.sh" -exec rm -f "{}" \;
	find . -name "configure" -exec rm -f "{}" \;
	rm -rf daemons/ipa-version.h freeipa.spec freeipa.egg-info ipa-client/ipa-client.spec version.m4
	rm -rf ipapython/build RELEASE build
	dh_clean 
	rm -rf $(DESTDIR)

override_dh_autoreconf:
	make IPA_VERSION_IS_GIT_SNAPSHOT=no version-update
	dh_autoreconf; cd ..

override_dh_auto_configure:
	dh_auto_configure -Dipa-client
ifneq ($(ONLY_CLIENT), 1)
	dh_auto_configure -Ddaemons -- --with-openldap
	dh_auto_configure -Dinstall
endif

override_dh_auto_build:
ifneq ($(ONLY_CLIENT), 1)
	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no all
#	cd selinux ; make all
else
	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no client
endif

ifeq ($(ONLY_CLIENT), 1)
override_dh_auto_test:
endif

override_dh_auto_install:
ifneq ($(ONLY_CLIENT), 1)
	# Force re-generate of platform support
	rm -f ipapython/services.py
	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no install DESTDIR=$(DESTDIR)
#	cd selinux
#	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no install DESTDIR=$(DESTDIR)
	cd ..
else
	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no client-install DESTDIR=$(DESTDIR)
endif

	touch $(DESTDIR)/etc/ipa/default.conf

	# purge .la files
	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
	# purge precompiled .pyc/.pyo files
	find $(CURDIR)/debian/tmp -name '*.py[c,o]' -exec rm '{}' ';'
	# fix permissions
	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;

	# fix permissions
	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;

	dh_install --list-missing

%:
	dh $@ --with quilt,autoreconf,python2

=== debian/watch ===
version=3
http://freeipa.org/downloads/src/freeipa-(.*)\.tar\.gz

## freeipa 3.1.2

=== Makefile ===
--- 
+++ 
@@ -44,6 +44,8 @@
 LINT_OPTIONS=--no-fail
 endif
 
+PYTHON ?= $(shell rpm -E %__python)
+
 all: bootstrap-autogen server
 	@for subdir in $(SUBDIRS); do \
 		(cd $$subdir && $(MAKE) $@) || exit 1; \
@@ -68,22 +70,32 @@
 		(cd $$subdir && $(MAKE) $@) || exit 1; \
 	done
 
-client-install: client
+client-install: client client-dirs
 	@for subdir in $(CLIENTDIRS); do \
 		(cd $$subdir && $(MAKE) install) || exit 1; \
 	done
 	cd install/po && $(MAKE) install || exit 1;
 	if [ "$(DESTDIR)" = "" ]; then \
-		python setup-client.py install; \
+		$(PYTHON) setup-client.py install; \
 	else \
-		python setup-client.py install --root $(DESTDIR); \
-	fi
-
-lint:
+		$(PYTHON) setup-client.py install --root $(DESTDIR); \
+	fi
+
+client-dirs:
+	@if [ "$(DESTDIR)" != "" ] ; then \
+		mkdir -p $(DESTDIR)/etc/ipa ; \
+		mkdir -p $(DESTDIR)/var/lib/ipa-client/sysrestore ; \
+	else \
+		echo "DESTDIR was not set, please create /etc/ipa and /var/lib/ipa-client/sysrestore" ; \
+		echo "Without those directories ipa-client-install will fail" ; \
+	fi
+
+lint: bootstrap-autogen
 	./make-lint $(LINT_OPTIONS)
+	$(MAKE) -C install/po validate-src-strings
+
 
 test:
-	$(MAKE) -C install/po test_lang
 	./make-testcert
 	./make-test
 
@@ -111,24 +123,24 @@
 		ipa-client/ipa-client.spec.in > ipa-client/ipa-client.spec
 	sed -e s/__VERSION__/$(IPA_VERSION)/ ipa-client/version.m4.in \
 		> ipa-client/version.m4
-	
+
 	if [ "$(SUPPORTED_PLATFORM)" != "" ]; then \
 		sed -e s/SUPPORTED_PLATFORM/$(SUPPORTED_PLATFORM)/ ipapython/services.py.in \
 			> ipapython/services.py; \
 	fi
-	
+
 	if [ "$(SKIP_API_VERSION_CHECK)" != "yes" ]; then \
 		./makeapi --validate; \
 	fi
 
 server: version-update
-	python setup.py build
+	$(PYTHON) setup.py build
 
 server-install: server
 	if [ "$(DESTDIR)" = "" ]; then \
-		python setup.py install; \
+		$(PYTHON) setup.py install; \
 	else \
-		python setup.py install --root $(DESTDIR); \
+		$(PYTHON) setup.py install --root $(DESTDIR); \
 	fi
 
 archive:
@@ -152,6 +164,7 @@
 	rm -rf dist/$(TARBALL_PREFIX)
 
 rpmroot:
+	rm -rf $(RPMBUILD)
 	mkdir -p $(RPMBUILD)/BUILD
 	mkdir -p $(RPMBUILD)/RPMS
 	mkdir -p $(RPMBUILD)/SOURCES
@@ -165,22 +178,22 @@
 rpms: rpmroot rpmdistdir version-update lint tarballs
 	cp dist/sources/$(TARBALL) $(RPMBUILD)/SOURCES/.
 	rpmbuild --define "_topdir $(RPMBUILD)" -ba freeipa.spec
-	cp rpmbuild/RPMS/*/$(PRJ_PREFIX)-*-$(IPA_VERSION)-*.rpm dist/rpms/
-	cp rpmbuild/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
-	rm -rf rpmbuild
+	cp $(RPMBUILD)/RPMS/*/$(PRJ_PREFIX)-*-$(IPA_VERSION)-*.rpm dist/rpms/
+	cp $(RPMBUILD)/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
+	rm -rf $(RPMBUILD)
 
 client-rpms: rpmroot rpmdistdir version-update lint tarballs
 	cp dist/sources/$(TARBALL) $(RPMBUILD)/SOURCES/.
 	rpmbuild --define "_topdir $(RPMBUILD)" --define "ONLY_CLIENT 1" -ba freeipa.spec
-	cp rpmbuild/RPMS/*/$(PRJ_PREFIX)-*-$(IPA_VERSION)-*.rpm dist/rpms/
-	cp rpmbuild/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
-	rm -rf rpmbuild
+	cp $(RPMBUILD)/RPMS/*/$(PRJ_PREFIX)-*-$(IPA_VERSION)-*.rpm dist/rpms/
+	cp $(RPMBUILD)/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
+	rm -rf $(RPMBUILD)
 
 srpms: rpmroot rpmdistdir version-update lint tarballs
 	cp dist/sources/$(TARBALL) $(RPMBUILD)/SOURCES/.
 	rpmbuild --define "_topdir $(RPMBUILD)" -bs freeipa.spec
-	cp rpmbuild/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
-	rm -rf rpmbuild
+	cp $(RPMBUILD)/SRPMS/$(PRJ_PREFIX)-$(IPA_VERSION)-*.src.rpm dist/srpms/
+	rm -rf $(RPMBUILD)
 
 
 repodata:
@@ -203,12 +216,12 @@
 	@for subdir in $(SUBDIRS); do \
 		(cd $$subdir && $(MAKE) $@) || exit 1; \
 	done
-	rm -fr rpmbuild dist build
+	rm -fr $(RPMBUILD) dist build
 	rm -f daemons/NEWS daemons/README daemons/AUTHORS daemons/ChangeLog
 	rm -f install/NEWS install/README install/AUTHORS install/ChangeLog
 
 maintainer-clean: clean
-	rm -fr rpmbuild dist build
+	rm -fr $(RPMBUILD) dist build
 	cd selinux && $(MAKE) maintainer-clean
 	cd daemons && $(MAKE) maintainer-clean
 	cd install && $(MAKE) maintainer-clean

=== debian/changelog ===
freeipa (3.1.2-0ubuntu1) raring; urgency=low

  * Merge from unreleased debian git.
    - new upstream release
    - doesn't use chkconfig anymore (LP: #1025018, #1124093)
    - drop -U from the ntpdate options (LP: #1149468)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 07 Mar 2013 14:10:03 +0200

freeipa (3.1.2-1) UNRELEASED; urgency=low

  [ Michele Baldessari ]
  * Initial release (Closes: #12345)
  * New upstream
  * Dropped 10_ipa_kpasswd patch, applied upstream

  [ Timo Aaltonen ]
  * New upstream release.
  * Remove radius subpackages.
  * Migrate to source format 3.0 (quilt).
  * Migrate to dh.
  * Fix dependencies.
  * Add no-testcert.patch to not fail make-testcert.
  * Bump compat and debhelper build-depends to 9.
  * Add missing files to freeipa.install.
  * Add --list-missing for dh_install.
  * copyright: Updated, with OpenSSL exception.
  * control: Add python-libipa-hbac to build-depends.
  * control: Add ${shlibs:Depends} to python-freeipa depends.
  * rules: Strip the executable bit from translation files.
  * fix-format-string.diff: Fix build errors, thanks Krzysztof Klimonda!
  * Use dh_python2.
  * Add DEP-3 compliant headers to the patches.
  * control: client; Move libpam-krb5 to Suggests.
  * control: Update the maintainer address and repo location.
  * control: Fix package descriptions.
  * control: Add python-krbv, python-dnspython, keyutils to client depends.
  * Add fix-nss-include.diff, fix nss include path.
  * Add no-test-lang.diff, test_lang is gone.
  * correct-python-path.diff: Fallback on the correct path if rpm query
    fails.
  * dont-search-platform-path.diff: Don't use Python.h from the
    platform specific path.
  * fix-install-layout.diff: Pass an option to setup-client.py to
    install the python bits to the correct path.
  * fix-ntpdate-opts.diff: Drop -U from nptdate opts, we don't have
    that.
  * Add support for Debian platform.

  [ Nick Hatch ]
  * Added three patches
    - fix-symlink-exclusion.diff: Don't exclude symlinks when loading
      plugins
    - fix-ldap-conf-path.diff: Patch client installer to use correct LDAP
      conf path.
    - check-dbus-before-starting.diff: Check to see if dbus is running
      before attempting to start it

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 01 Nov 2011 10:52:25 -0400

=== debian/control ===
--- 
+++ 
@@ -16,21 +16,29 @@
  libpopt-dev,
  libsasl2-dev,
  libssl-dev,
+ libtalloc-dev,
  libxmlrpc-c3-dev,
  python-all-dev,
+ python-dnspython,
  python-kerberos,
  python-krbv,
  python-ldap,
  python-libipa-hbac,
+ python-memcache,
  python-netaddr,
  python-nss,
  python-openssl,
+ python-polib,
  python-setuptools,
- python-sss,
+ python-sss (>= 1.8.0),
  python-support,
 # server
  389-ds-base-dev (>= 1.1.3),
+ libndr-dev,
+ libndr-standard-dev,
+ libsamba-util-dev,
  libsvrcore-dev,
+ libtevent-dev,
  uuid-dev,
  selinux-policy-dev,
 # tests
@@ -47,15 +55,17 @@
  python-freeipa (= ${binary:Version}),
  bind9utils,
  certmonger,
- chkconfig,
+ keyutils,
  krb5-user,
  libcurl3 (>= 7.22.0),
  libnss3-tools,
  libsasl2-modules-gssapi-mit,
  libxmlrpc-core-c3 (>= 1.16.33-3.1ubuntu5),
  ntp,
+ python-dnspython,
  python-ldap,
- sssd,
+ python-krbv,
+ sssd (>= 1.9.2),
  wget,
 Suggests:
  libpam-krb5,

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-ONLY_CLIENT=0
+ONLY_CLIENT=1
 DESTDIR=$(CURDIR)/debian/tmp
 
 PLATFORM="SUPPORTED_PLATFORM=debian"
@@ -65,9 +65,6 @@
 	# fix permissions
 	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;
 
-	# fix permissions
-	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;
-
 	dh_install --list-missing
 
 %:

## freeipa 3.2.1

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,8 @@
 TARGET ?= master
 
 SUPPORTED_PLATFORM ?= redhat
+
+IPA_NUM_VERSION ?= $(shell printf %d%02d%02d $(IPA_VERSION_MAJOR) $(IPA_VERSION_MINOR) $(IPA_VERSION_RELEASE))
 
 # After updating the version in VERSION you should run the version-update
 # target.
@@ -24,11 +26,15 @@
 ifdef IPA_VERSION_PRE_RELEASE
 IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE).pre$(IPA_VERSION_PRE_RELEASE)
 else
+ifdef IPA_VERSION_BETA_RELEASE
+IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE).beta$(IPA_VERSION_BETA_RELEASE)
+else
 ifdef IPA_VERSION_RC_RELEASE
 IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE).rc$(IPA_VERSION_RC_RELEASE)
 else
 IPA_VERSION=$(IPA_VERSION_MAJOR).$(IPA_VERSION_MINOR).$(IPA_VERSION_RELEASE)
 endif # rc
+endif # beta
 endif # pre
 endif # ipa_version
 
@@ -112,11 +118,11 @@
 		> ipapython/setup.py
 	sed -e s/__VERSION__/$(IPA_VERSION)/ ipapython/version.py.in \
 		> ipapython/version.py
-	perl -pi -e "s:__NUM_VERSION__:$(IPA_VERSION_MAJOR)$(IPA_VERSION_MINOR)$(IPA_VERSION_RELEASE):" ipapython/version.py
+	perl -pi -e "s:__NUM_VERSION__:$(IPA_NUM_VERSION):" ipapython/version.py
 	perl -pi -e "s:__API_VERSION__:$(IPA_API_VERSION_MAJOR).$(IPA_API_VERSION_MINOR):" ipapython/version.py
 	sed -e s/__VERSION__/$(IPA_VERSION)/ daemons/ipa-version.h.in \
 		> daemons/ipa-version.h
-	perl -pi -e "s:__NUM_VERSION__:$(IPA_VERSION_MAJOR)$(IPA_VERSION_MINOR)$(IPA_VERSION_RELEASE):" daemons/ipa-version.h
+	perl -pi -e "s:__NUM_VERSION__:$(IPA_NUM_VERSION):" daemons/ipa-version.h
 	perl -pi -e "s:__DATA_VERSION__:$(IPA_DATA_VERSION):" daemons/ipa-version.h
 
 	sed -e s/__VERSION__/$(IPA_VERSION)/ -e s/__RELEASE__/$(IPA_RPM_RELEASE)/ \
@@ -149,7 +155,7 @@
 
 local-archive:
 	-mkdir -p dist/$(TARBALL_PREFIX)
-	rsync -a --exclude=dist --exclude=.git --exclude=build --exclude=rpmbuild . dist/$(TARBALL_PREFIX)
+	rsync -a --exclude=dist --exclude=.git --exclude=/build --exclude=rpmbuild . dist/$(TARBALL_PREFIX)
 
 archive-cleanup:
 	rm -fr dist/freeipa

=== selinux/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SUBDIRS = ipa_kpasswd ipa_httpd ipa_dogtag
+SUBDIRS = ipa_httpd ipa_dogtag
 POLICY_MAKEFILE = /usr/share/selinux/devel/Makefile
 POLICY_DIR = $(DESTDIR)/usr/share/selinux/targeted
 
@@ -21,9 +21,8 @@
 
 install: all
 	install -d $(POLICY_DIR)
-	install -m 644 ipa_kpasswd/ipa_kpasswd.pp $(POLICY_DIR)
 	install -m 644 ipa_httpd/ipa_httpd.pp $(POLICY_DIR)
 	install -m 644 ipa_dogtag/ipa_dogtag.pp $(POLICY_DIR)
 
 load:
-	/usr/sbin/semodule -i ipa_kpasswd/ipa_kpasswd.pp ipa_httpd/ipa_httpd.pp
+	/usr/sbin/semodule -i ipa_httpd/ipa_httpd.pp

=== debian/changelog ===
freeipa (3.2.1-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git
    - rebase to 3.2.1
    - add ipa-client-automount to freeipa-client, and patch it so it
      works on Debian/Ubuntu

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 17 Jun 2013 22:15:21 +0300

freeipa (3.2.1-1) UNRELEASED; urgency=low

  [ Michele Baldessari ]
  * Initial release (Closes: #12345)
  * New upstream
  * Dropped 10_ipa_kpasswd patch, applied upstream

  [ Timo Aaltonen ]
  * New upstream release.
  * Remove radius subpackages.
  * Migrate to source format 3.0 (quilt).
  * Migrate to dh.
  * Fix dependencies.
  * Add no-testcert.patch to not fail make-testcert.
  * Bump compat and debhelper build-depends to 9.
  * Add missing files to freeipa.install.
  * Add --fail-missing for dh_install.
  * copyright: Updated, with OpenSSL exception.
  * control: Add python-libipa-hbac to build-depends.
  * control: Add ${shlibs:Depends} to python-freeipa depends.
  * rules: Strip the executable bit from translation files.
  * fix-format-string.diff: Fix build errors, thanks Krzysztof Klimonda!
  * Use dh_python2.
  * Add DEP-3 compliant headers to the patches.
  * control: client; Move libpam-krb5 to Suggests.
  * control: Update the maintainer address and repo location.
  * control: Fix package descriptions.
  * control: Add python-krbv, python-dnspython, keyutils to client depends.
  * Add fix-nss-include.diff, fix nss include path.
  * Add no-test-lang.diff, test_lang is gone.
  * correct-python-path.diff: Fallback on the correct path if rpm query
    fails.
  * dont-search-platform-path.diff: Don't use Python.h from the
    platform specific path.
  * fix-install-layout.diff: Pass an option to setup-client.py to
    install the python bits to the correct path.
  * fix-ntpdate-opts.diff: Drop -U from nptdate opts, we don't have
    that.
  * Add support for Debian platform.
  * port-ipa-client-automount.diff: Patch i-c-a so it works on Debian.

  [ Nick Hatch ]
  * Added three patches
    - fix-symlink-exclusion.diff: Don't exclude symlinks when loading
      plugins
    - fix-ldap-conf-path.diff: Patch client installer to use correct LDAP
      conf path.
    - check-dbus-before-starting.diff: Check to see if dbus is running
      before attempting to start it

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 01 Nov 2011 10:52:25 -0400

freeipa (3.2.0-0ubuntu1) saucy; urgency=low

  * Merge from unreleased debian git
    - rebase to 3.2.0

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 22 May 2013 17:42:30 +0300

=== debian/rules ===
--- 
+++ 
@@ -65,7 +65,7 @@
 	# fix permissions
 	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;
 
-	dh_install --list-missing
+	dh_install --fail-missing
 
 %:
 	dh $@ --with quilt,autoreconf,python2

## freeipa 3.3.4

=== Makefile ===
--- 
+++ 
@@ -52,7 +52,12 @@
 
 PYTHON ?= $(shell rpm -E %__python)
 
-all: bootstrap-autogen server
+# Uncomment to increase Java stack size for Web UI build in case it fails
+# because of stack overflow exception. Default should be OK for most platforms.
+#JAVA_STACK_SIZE ?= 8m
+#export JAVA_STACK_SIZE
+
+all: bootstrap-autogen server tests
 	@for subdir in $(SUBDIRS); do \
 		(cd $$subdir && $(MAKE) $@) || exit 1; \
 	done
@@ -71,7 +76,10 @@
 	cd ipa-client; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi
 	cd install; if [ ! -e Makefile ]; then ../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi
 
-install: all server-install
+tests-man-autogen: version-update
+	cd ipatests/man; if [ ! -e Makefile ]; then ../../autogen.sh --prefix=/usr --sysconfdir=/etc --localstatedir=/var --libdir=$(LIBDIR); fi
+
+install: all server-install tests-install
 	@for subdir in $(SUBDIRS); do \
 		(cd $$subdir && $(MAKE) $@) || exit 1; \
 	done
@@ -118,8 +126,11 @@
 		> ipapython/setup.py
 	sed -e s/__VERSION__/$(IPA_VERSION)/ ipapython/version.py.in \
 		> ipapython/version.py
+	sed -e s/__VERSION__/$(IPA_VERSION)/ ipatests/setup.py.in \
+		> ipatests/setup.py
 	perl -pi -e "s:__NUM_VERSION__:$(IPA_NUM_VERSION):" ipapython/version.py
 	perl -pi -e "s:__API_VERSION__:$(IPA_API_VERSION_MAJOR).$(IPA_API_VERSION_MINOR):" ipapython/version.py
+	touch -r ipapython/version.py.in ipapython/version.py
 	sed -e s/__VERSION__/$(IPA_VERSION)/ daemons/ipa-version.h.in \
 		> daemons/ipa-version.h
 	perl -pi -e "s:__NUM_VERSION__:$(IPA_NUM_VERSION):" daemons/ipa-version.h
@@ -133,6 +144,7 @@
 	if [ "$(SUPPORTED_PLATFORM)" != "" ]; then \
 		sed -e s/SUPPORTED_PLATFORM/$(SUPPORTED_PLATFORM)/ ipapython/services.py.in \
 			> ipapython/services.py; \
+		touch -r ipapython/services.py.in ipapython/services.py; \
 	fi
 
 	if [ "$(SKIP_API_VERSION_CHECK)" != "yes" ]; then \
@@ -148,6 +160,18 @@
 	else \
 		$(PYTHON) setup.py install --root $(DESTDIR); \
 	fi
+
+tests: version-update tests-man-autogen
+	cd ipatests; $(PYTHON) setup.py build
+	cd ipatests/man && $(MAKE) all
+
+tests-install: tests
+	if [ "$(DESTDIR)" = "" ]; then \
+		cd ipatests; $(PYTHON) setup.py install; \
+	else \
+		cd ipatests; $(PYTHON) setup.py install --root $(DESTDIR); \
+	fi
+	cd ipatests/man && $(MAKE) install
 
 archive:
 	-mkdir -p dist
@@ -228,7 +252,6 @@
 
 maintainer-clean: clean
 	rm -fr $(RPMBUILD) dist build
-	cd selinux && $(MAKE) maintainer-clean
 	cd daemons && $(MAKE) maintainer-clean
 	cd install && $(MAKE) maintainer-clean
 	cd ipa-client && $(MAKE) maintainer-clean

=== ipapython/Makefile ===
PYTHONLIBDIR ?= $(shell  python -c "from distutils.sysconfig import *; print get_python_lib()")
PACKAGEDIR ?= $(DESTDIR)/$(PYTHONLIBDIR)/ipa
CONFIGDIR ?= $(DESTDIR)/etc/ipa
TESTS = $(wildcard test/*.py)

SUBDIRS = py_default_encoding

all:
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

install:
	if [ "$(DESTDIR)" = "" ]; then \
		python setup.py install; \
	else \
		python setup.py install --root $(DESTDIR); \
	fi
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

clean:
	rm -f *~ *.pyc
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

distclean: clean
	rm -f setup.py ipa-python.spec version.py services.py
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

maintainer-clean: distclean
	rm -rf build
	@for subdir in $(SUBDIRS); do \
		(cd $$subdir && $(MAKE) $@) || exit 1; \
	done

.PHONY: test
test: $(subst .py,.tst,$(TESTS))

%.tst: %.py
	python $<

=== ipapython/py_default_encoding/Makefile ===
PYTHONLIBDIR ?= $(shell  python -c "from distutils.sysconfig import *; print get_python_lib()")
PACKAGEDIR ?= $(DESTDIR)/$(PYTHONLIBDIR)/ipa
CONFIGDIR ?= $(DESTDIR)/etc/ipa

all:
	python setup.py build

install:
	if [ "$(DESTDIR)" = "" ]; then \
		python setup.py install; \
	else \
		python setup.py install --root $(DESTDIR); \
	fi

clean:
	rm -rf build

distclean: clean

maintainer-clean: distclean

=== debian/changelog ===
freeipa (3.3.4-0ubuntu3) trusty; urgency=medium

  * Merge from unreleased debian git:
    Fix ipa-client-install issues (LP: #1282818)
    - fix auth platform module
    - use new pykerberos api
    - don't install a default conf
    - use sqlite-based nssdb's instead of old

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 10 Apr 2014 11:57:53 +0300

freeipa (3.3.4-0ubuntu2) trusty; urgency=medium

  * Update build-deps for the xmlrpc-c 1.33.06 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 22 Mar 2014 11:07:49 -0600

freeipa (3.3.4-0ubuntu1) trusty; urgency=low

  * Merge from unreleased debian git.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 03 Sep 2013 17:13:27 +0300

freeipa (3.3.4-1) UNRELEASED; urgency=low

  [ Michele Baldessari ]
  * Initial release (Closes: #734703)
  * New upstream
  * Dropped 10_ipa_kpasswd patch, applied upstream

  [ Timo Aaltonen ]
  * New upstream release.
  * Remove radius subpackages.
  * Migrate to source format 3.0 (quilt).
  * Migrate to dh.
  * Fix dependencies.
  * Add no-testcert.patch to not fail make-testcert.
  * Bump compat and debhelper build-depends to 9.
  * Add missing files to freeipa.install.
  * Add --fail-missing for dh_install.
  * copyright: Updated, with OpenSSL exception.
  * control: Add python-libipa-hbac to build-depends.
  * control: Add ${shlibs:Depends} to python-freeipa depends.
  * rules: Strip the executable bit from translation files.
  * Use dh_python2.
  * Add DEP-3 compliant headers to the patches.
  * control: client; Move libpam-krb5 to Suggests.
  * control: Update the maintainer address and repo location.
  * control: Fix package descriptions.
  * control: Add python-krbv, python-dnspython, keyutils to client depends.
  * Add no-test-lang.diff, test_lang is gone.
  * correct-python-path.diff: Fallback on the correct path if rpm query
    fails.
  * dont-search-platform-path.diff: Don't use Python.h from the
    platform specific path.
  * fix-install-layout.diff: Pass an option to setup-client.py to
    install the python bits to the correct path.
  * fix-ntpdate-opts.diff: Drop -U from nptdate opts, we don't have
    that.
  * Add support for Debian platform.
  * port-ipa-client-automount.diff: Patch i-c-a so it works on Debian.
  * rules: Don't run tests on server either, would never work during package
    build.

  [ Nick Hatch ]
  * Added three patches
    - fix-symlink-exclusion.diff: Don't exclude symlinks when loading
      plugins
    - fix-ldap-conf-path.diff: Patch client installer to use correct LDAP
      conf path.
    - check-dbus-before-starting.diff: Check to see if dbus is running
      before attempting to start it

  [ Timo Aaltonen ]
  * use-new-nssdb.diff: Use sqlite-based nssdb's instead of old.
  * control: Add python-dnspython and python-ldap to python-freeipa
    Depends.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 01 Nov 2011 10:52:25 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: extra
 Maintainer: Ubuntu FreeIPA <freeipa@lists.launchpad.net>
-XSBC-Original-Maintainer:Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@ubuntu.com>
 Build-Depends: quilt, debhelper (>= 9), dh-autoreconf,
 # client
  gettext,
  krb5-user,
  libcurl4-nss-dev,
- libkrb5-dev,
+ libkrb5-dev (>= 1.12),
  libldap2-dev,
  libnss3-dev,
  libnspr4-dev,
@@ -17,7 +17,7 @@
  libsasl2-dev,
  libssl-dev,
  libtalloc-dev,
- libxmlrpc-c3-dev,
+ libxmlrpc-core-c3-dev,
  python-all-dev,
  python-dnspython,
  python-kerberos,
@@ -34,14 +34,20 @@
  python-support,
 # server
  389-ds-base-dev (>= 1.1.3),
- libndr-dev,
- libndr-standard-dev,
- libsamba-util-dev,
+ libkrad-dev,
+ libsss-idmap-dev,
+ libsss-nss-idmap-dev,
  libsvrcore-dev,
  libtevent-dev,
+ libunistring-dev,
+ libverto-dev,
+ rhino,
+ samba-dev,
+ selinux-policy-dev,
  uuid-dev,
- selinux-policy-dev,
 # tests
+ check,
+ libcmocka-dev,
  python-lxml,
  python-nose,
 Standards-Version: 3.9.3
@@ -55,7 +61,6 @@
  python-freeipa (= ${binary:Version}),
  bind9utils,
  certmonger,
- keyutils,
  krb5-user,
  libcurl3 (>= 7.22.0),
  libnss3-tools,
@@ -83,7 +88,10 @@
 Depends: ${shlibs:Depends}, ${python:Depends}, ${misc:Depends},
  gnupg,
  iproute,
+ keyutils,
+ python-dnspython,
  python-kerberos,
+ python-ldap,
  python-libipa-hbac,
  python-lxml,
  python-netaddr,

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,10 @@
 override_dh_auto_configure:
 	dh_auto_configure -Dipa-client
 ifneq ($(ONLY_CLIENT), 1)
-	dh_auto_configure -Ddaemons -- --with-openldap
+	dh_auto_configure -Ddaemons -- \
+		--with-openldap \
+		--with-systemdsystemunitdir=/lib/systemd/system
+
 	dh_auto_configure -Dinstall
 endif
 
@@ -40,9 +43,8 @@
 	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no client
 endif
 
-ifeq ($(ONLY_CLIENT), 1)
+# tests would just fail, they need a proper environment with 389 running et al
 override_dh_auto_test:
-endif
 
 override_dh_auto_install:
 ifneq ($(ONLY_CLIENT), 1)
@@ -52,11 +54,11 @@
 #	cd selinux
 #	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no install DESTDIR=$(DESTDIR)
 	cd ..
+
+	install -m 0644 contrib/completion/ipa.bash_completion $(DESTDIR)/etc/bash_completion.d/ipa
 else
 	make $(PLATFORM) IPA_VERSION_IS_GIT_SNAPSHOT=no client-install DESTDIR=$(DESTDIR)
 endif
-
-	touch $(DESTDIR)/etc/ipa/default.conf
 
 	# purge .la files
 	find $(CURDIR)/debian/tmp -name "*.la" -type f -exec rm -f "{}" \;
@@ -65,7 +67,7 @@
 	# fix permissions
 	find $(CURDIR)/debian/tmp -name "*.mo" -type f -exec chmod -x "{}" \;
 
-	dh_install --fail-missing
+	dh_install --list-missing
 
 %:
 	dh $@ --with quilt,autoreconf,python2
